// File: KifNegation.java


/*  Set tabstop = 4 to read this file.
*
*   Maintanence History:
*/




package jkp;

import jbf.*;
import java.lang.*;


/**
 * The class for  KIF logical sentence, negation.
 * @author  <A href="http://www.cs.umbc.edu/~xluan1/">Xiaocheng LUAN</A>
 */
public class KifNegation extends KifLogSent {

	public KifNegation(KifSent sentence)
	{
		setType(KifObj.KIF_NEGATION);
		_sentence = sentence;
	}


	public String
	toString()
	{
		return ( "(" + "not" + " " +  _sentence.toString() + ")");
	}
}

